org.apache.tapestry5

## Class CSSClassConstants

- java.lang.Object
- - org.apache.tapestry5.CSSClassConstants

- Deprecated.
  Deprecated in 5.4 with no replacement.

      public class CSSClassConstants
      extends Object

  Constants used when rendering a CSS class attribute.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ERROR` Deprecated. Deprecated in 5.4 with no replacement; decoration of fields with validation errors has moved to the client.
    `static String` | `ERROR_SINGLE` Deprecated. Deprecated in 5.4 with no replacement; decoration of fields with validation errors has moved to the client.
    `static String` | `INVISIBLE` Deprecated. Removed in Tapestry 5.4 with no replacement.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSSClassConstants()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVISIBLE

          public static final String INVISIBLE

      Deprecated. Removed in Tapestry 5.4 with no replacement.
      CSS class name that causes a rendered element to be invisible on the client side.
      See Also:
        Constant Field Values

    - #### ERROR

          public static final String ERROR

      Deprecated. Deprecated in 5.4 with no replacement; decoration of fields with validation errors has moved to the client.
      All purpose CSS class name for anything related to Tapestry errors.
      See Also:
        Constant Field Values

    - #### ERROR_SINGLE

          public static final String ERROR_SINGLE

      Deprecated. Deprecated in 5.4 with no replacement; decoration of fields with validation errors has moved to the client.
      CSS class name for individual validation errors.
      Since:
        5.2.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CSSClassConstants

          public CSSClassConstants()

      Deprecated.

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.